### Enumeration

# FwupdPlugin DeviceInstanceFlags

since: 1.0

#### Declaration

    flags FwupdPlugin.DeviceInstanceFlags

#### Description [src]

The flags to use when interacting with a device instance.

Available since: 1.0

#### Members

`FU_DEVICE_INSTANCE_FLAG_NONE`

  No flags set.

  - Value: `0`
  - Nickname: `None`
  - Available since: 1.0
`FU_DEVICE_INSTANCE_FLAG_VISIBLE`

  Show to the user.

  - Value: `1`
  - Nickname: `None`
  - Available since: 1.0
`FU_DEVICE_INSTANCE_FLAG_QUIRKS`

  Match against quirk files.

  - Value: `2`
  - Nickname: `None`
  - Available since: 1.0
`FU_DEVICE_INSTANCE_FLAG_GENERIC`

  Generic GUID added by a baseclass.

  - Value: `4`
  - Nickname: `None`
  - Available since: 1.0